# Uses of Enum
org.eclipse.mat.query.registry.QueryObjectLink.Type

Packages that use QueryObjectLink.Type
Package
Description
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.

## Uses of QueryObjectLink.Type in org.eclipse.mat.query.registry

Methods in org.eclipse.mat.query.registry that return QueryObjectLink.Type
Modifier and Type
Method
Description
`QueryObjectLink.Type`
QueryObjectLink.`getType()`
`static QueryObjectLink.Type`
QueryObjectLink.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QueryObjectLink.Type[]`
QueryObjectLink.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.query.registry with parameters of type QueryObjectLink.Type
Modifier and Type
Method
Description
`static final String`
QueryObjectLink.`forType(QueryObjectLink.Type type, String target)`
Constructors in org.eclipse.mat.query.registry with parameters of type QueryObjectLink.Type
Modifier
Constructor
Description
``
`QueryObjectLink(QueryObjectLink.Type type, String target)`